%global momorel 3
%global __libtoolize :

Name: hdf5
Version: 1.6.5
Release: %{momorel}m%{?dist}
Summary: A general purpose library and file format for storing scientific data
License: see "COPYING"
Group: System Environment/Libraries
URL: http://hdf.ncsa.uiuc.edu/HDF5/
%NoSource 0 ftp://ftp.hdfgroup.org./HDF5/current/src/%{name}-%{version}.tar.gz 67187b3253b89f1f41756b7fd4396ecf
Patch0: hdf5-1.6.4-gcc4.patch
Patch1: hdf5-1.6.4-destdir.patch
Patch2: hdf5-1.6.4-norpath.patch
Patch3: hdf5-1.6.4-testh5repack.patch
Patch4: hdf5-1.6.5-h5diff_attr.patch
Patch5: hdf5-1.6.4-ppc.patch
Patch6: hdf5-1.6.5-flags.patch
Patch7: hdf5-1.6.5-x86_64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: krb5-devel, openssl-devel, zlib-devel, gcc-gfortran

%description
HDF5 is a general purpose library and file format for storing scientific data.
HDF5 can store two primary objects: datasets and groups. A dataset is 
essentially a multidimensional array of data elements, and a group is a 
structure for organizing objects in an HDF5 file. Using these two basic 
objects, one can create and store almost any kind of scientific data 
structure, such as images, arrays of vectors, and structured and unstructured 
grids. You can also mix and match them in HDF5 files according to your needs.

%package devel
Summary: HDF5 development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
HDF5 development headers and libraries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1 -b .flags
%patch7 -p1 -b .x86_64

%build
%configure --with-ssl --enable-cxx --enable-fortran \
           --enable-threadsafe --with-pthread
make

%install
rm -rf %{buildroot}
find doc/html -type f | xargs chmod -x
#find doc/html -name '*.sh*' | xargs chmod +x
find doc/html -name Dependencies | xargs rm
%makeinstall docdir=%{buildroot}%{_docdir}
rm -rf %{buildroot}/%{_libdir}/*.la %{buildroot}/%{_libdir}/*.settings
# Don't instal h5perf until h5test.so.0 issues is sorted out
# ( h5perf requires missing h5test.so.0)
rm %{buildroot}/%{_bindir}/h5perf

%check
make check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING MANIFEST README.txt release_docs/RELEASE.txt
%doc release_docs/HISTORY.txt doc/html
%{_bindir}/gif2h5
%{_bindir}/h52gif
%{_bindir}/h5debug
%{_bindir}/h5diff
%{_bindir}/h5dump
%{_bindir}/h5import
%{_bindir}/h5jam
%{_bindir}/h5ls
%{_bindir}/h5repack
%{_bindir}/h5repart
%{_bindir}/h5unjam
#%{_bindir}/h5perf
%attr(0755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/h5c++
%{_bindir}/h5cc
%{_bindir}/h5fc
%{_bindir}/h5redeploy
%{_docdir}/%{name}/examples/
%{_includedir}/*.h
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/*.mod

%changelog
* Thu May 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.5-3m)
- change Source URL

* Wed Mar 27 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.5-2m)
- update hdf5-1.6.5-flags.patch
--it becomes same config as gcc-4.1
-- gcc-4.2 was used "-O3"...

* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.6.5-1m)
- import to Momonga for octave and octave-forge
- based on the package in Fedora Extras (1.6.5-5fc)

* Wed Mar 15 2006 Orion Poplawski <orion@cora.nwra.com> 1.6.5-5
- Change rpath patch to not need autoconf
- Add patch for libtool on x86_64
- Fix shared lib permissions

* Mon Mar 13 2006 Orion Poplawski <orion@cora.nwra.com> 1.6.5-4
- Add patch to avoid HDF setting the compiler flags

* Mon Feb 13 2006 Orion Poplawski <orion@cora.nwra.com> 1.6.5-3
- Rebuild for gcc/glibc changes

* Wed Dec 21 2005 Orion Poplawski <orion@cora.nwra.com> 1.6.5-2
- Don't ship h5perf with missing library

* Wed Dec 21 2005 Orion Poplawski <orion@cora.nwra.com> 1.6.5-1
- Update to 1.6.5

* Wed Dec 21 2005 Orion Poplawski <orion@cora.nwra.com> 1.6.4-9
- Rebuild

* Wed Nov 30 2005 Orion Poplawski <orion@cora.nwra.com> 1.6.4-8
- Package fortran files properly
- Move compiler wrappers to devel

* Fri Nov 18 2005 Orion Poplawski <orion@cora.nwra.com> 1.6.4-7
- Add patch for fortran compilation on ppc

* Wed Nov 16 2005 Orion Poplawski <orion@cora.nwra.com> 1.6.4-6
- Bump for new openssl

* Tue Sep 20 2005 Orion Poplawski <orion@cora.nwra.com> 1.6.4-5
- Enable fortran since the gcc bug is now fixed

* Tue Jul 05 2005 Orion Poplawski <orion@cora.nwra.com> 1.6.4-4
- Make example scripts executable

* Wed Jul 01 2005 Orion Poplawski <orion@cora.nwra.com> 1.6.4-3
- Add --enable-threads --with-pthreads to configure
- Add %check
- Add some %docs
- Use %makeinstall
- Add patch to fix test for h5repack
- Add patch to fix h5diff_attr.c

* Mon Jun 27 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.4-2
- remove szip from spec, since szip license doesn't meet Fedora standards

* Sun Apr 3 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.4-1
- inital package for Fedora Extras
